Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 604084 - Can't log in with AD/Kerberos authentication
Can't log in with AD/Kerberos authentication
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-15 07:46 EDT by Chris Kloiber
Modified: 2015-01-14 18:25 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-07 06:43:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Kloiber 2010-06-15 07:46:55 EDT
Description of problem:
Have been authenticating against a Win2k3 AD domain for some time now. Today As I clicked my user name I was presented with the message that my password would expire in 12 days. No problem, I'll just log in and change the password. Unfortunately, my login would not work. I had to log into a real Windows system to change the password (it had not already expired) and change the password there before I could log in through GDM again.

Version-Release number of selected component (if applicable):
gdm-2.30.2-1.fc13.i686
samba-winbind-3.5.3-61.fc13.i686
samba-winbind-clients-3.5.3-61.fc13.i686
krb5-auth-dialog-0.15-1.fc13.i686
krb5-libs-1.7.1-10.fc13.i686
pam_krb5-2.3.11-1.fc13.i686
krb5-devel-1.7.1-10.fc13.i686
krb5-workstation-1.7.1-10.fc13.i686

How reproducible:
n/a

Steps to Reproduce:
1. Join Win2k3 domain
2. Wait until password expiration message appears.
3. Try to log in.
  
Actual results:
Can't log in.

Expected results:
Can log in, and change domain password.
Comment 1 Tajidin Abdullah 2010-07-07 03:52:28 EDT
Were you able to reproduce this error or was it simply a configuration problem?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Chris Kloiber 2010-07-07 04:53:55 EDT
Can't reproduce it again until the password is about to expire again (roughly 9/15/2010). I don't control the AD domain at work.
Comment 3 Tajidin Abdullah 2010-07-07 06:43:57 EDT

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.